# Class WrapperMappingInfo

java.lang.Object
org.apache.catalina.mapper.WrapperMappingInfo

public class WrapperMappingInfo extends Object
Encapsulates information used to register a Wrapper mapping.

## Constructor Summary

Constructors
Constructor
Description
`WrapperMappingInfo(String mapping, Wrapper wrapper, boolean jspWildCard, boolean resourceOnly)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMapping()`
Returns the URL pattern.
`Wrapper`
`getWrapper()`
Returns the wrapper for the Servlet.
`boolean`
`isJspWildCard()`
Returns whether this is a mapping for JSP files.
`boolean`
`isResourceOnly()`
Returns whether this is a resource only mapping.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WrapperMappingInfo

public WrapperMappingInfo(String mapping, Wrapper wrapper, boolean jspWildCard, boolean resourceOnly)

## Method Details

### getMapping

public String getMapping()
Returns the URL pattern.

Returns:
  the URL pattern

### getWrapper

public Wrapper getWrapper()
Returns the wrapper for the Servlet.

Returns:
  the wrapper

### isJspWildCard

public boolean isJspWildCard()
Returns whether this is a mapping for JSP files.

Returns:
  `true` if this is a JSP wildcard mapping

### isResourceOnly

public boolean isResourceOnly()
Returns whether this is a resource only mapping.

Returns:
  `true` if this is a resource only mapping